using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Elecciones.Database.Migrations
{
    /// <inheritdoc />
    public partial class AddCategoriaIdToResultados : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropPrimaryKey(
                name: "PK_EstadosRecuentos",
                table: "EstadosRecuentos");

            migrationBuilder.AddColumn<int>(
                name: "CategoriaId",
                table: "ResultadosVotos",
                type: "int",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.AddColumn<int>(
                name: "CategoriaId",
                table: "EstadosRecuentos",
                type: "int",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.AddPrimaryKey(
                name: "PK_EstadosRecuentos",
                table: "EstadosRecuentos",
                columns: new[] { "AmbitoGeograficoId", "CategoriaId" });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropPrimaryKey(
                name: "PK_EstadosRecuentos",
                table: "EstadosRecuentos");

            migrationBuilder.DropColumn(
                name: "CategoriaId",
                table: "ResultadosVotos");

            migrationBuilder.DropColumn(
                name: "CategoriaId",
                table: "EstadosRecuentos");

            migrationBuilder.AddPrimaryKey(
                name: "PK_EstadosRecuentos",
                table: "EstadosRecuentos",
                column: "AmbitoGeograficoId");
        }
    }
}
